<?php

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type, Authorization");

header('Content-Type: application/json');

header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Pragma: no-cache");
header("Expires: 0");

$documentRoot = realpath(__DIR__ . '/../..');
$logFile = $documentRoot . "/php/api/log_rhb.json";

//$logFile = '/var/www/vhosts/cst.cat/subdomains/pefir/httpdocs/php/api/log_rhb.json';

if (file_exists($logFile)) {
    $jsonContent = file_get_contents($logFile);
    $logs = json_decode($jsonContent, true);

    // Verificar si se ha proporcionado el parámetro pdfName
    if (isset($_GET['pdfName'])) {
        $pdfName = $_GET['pdfName'];
        // Filtrar los logs para incluir solo aquellos con el nombre del PDF especificado
        $filteredLogs = array_filter($logs, function($log) use ($pdfName) {
            return isset($log['pdf_nom']) && $log['pdf_nom'] === $pdfName;
        });

        echo json_encode(array_values($filteredLogs)); // Devuelve los logs filtrados
    } else {
        echo json_encode($logs); // Devuelve todos los logs si no se proporciona pdfName
    }
} else {
    echo json_encode(['status' => 'error', 'message' => 'File not found']);
}
?>
